## org.apache.mahout.classifier.df.data
Enum Dataset.Attribute

    java.lang.Object
      java.lang.Enum<Dataset.Attribute>
          org.apache.mahout.classifier.df.data.Dataset.Attribute

All Implemented Interfaces:
  Serializable, Comparable<Dataset.Attribute>

Enclosing class:
  Dataset

    public static enum Dataset.Attribute

extends Enum<Dataset.Attribute>

Attributes type

Enum Constant Summary
`CATEGORICAL`
`IGNORED`
`LABEL`
`NUMERICAL`

Method Summary
`boolean` `isCategorical()`
`boolean` `isIgnored()`
`boolean` `isLabel()`
`boolean` `isNumerical()`
`static Dataset.Attribute` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Dataset.Attribute[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IGNORED

    public static final Dataset.Attribute IGNORED

### NUMERICAL

    public static final Dataset.Attribute NUMERICAL

### CATEGORICAL

    public static final Dataset.Attribute CATEGORICAL

### LABEL

    public static final Dataset.Attribute LABEL

Method Detail

### values

    public static Dataset.Attribute[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Dataset.Attribute c : Dataset.Attribute.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Dataset.Attribute valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### isNumerical

    public boolean isNumerical()

### isCategorical

    public boolean isCategorical()

### isLabel

    public boolean isLabel()

### isIgnored

    public boolean isIgnored()

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.